<?php


namespace Fifa\ConnectId\Sdk\Notifications;


use DateTime;

class DateOfBirthChangedNotification
{
    /** @var string */
    private $personFIFAId;
    /** @var DateTime */
    private $before;
    /** @var DateTime */
    private $after;
    /** @var string */
    private $actorName;
    /** @var DateTime */
    private $operationTimestamp;

    /**
     * DateOfBirthChangedNotification constructor.
     *
     * @param string $personFIFAId
     * @param DateTime $before
     * @param DateTime $after
     * @param string $actorName
     * @param DateTime $operationTimestamp
     */
    function __construct(string $personFIFAId, DateTime $before, DateTime $after, string $actorName, DateTime $operationTimestamp){
        $this->personFIFAId = $personFIFAId;
        $this->before = $before;
        $this->after = $after;
        $this->actorName = $actorName;
        $this->operationTimestamp = $operationTimestamp;
    }

    /**
     * @return string
     */
    public function getPersonFIFAId(): string
    {
        return $this->personFIFAId;
    }

    /**
     * @return DateTime
     */
    public function getBefore(): DateTime
    {
        return $this->before;
    }

    /**
     * @return DateTime
     */
    public function getAfter(): DateTime
    {
        return $this->after;
    }

    /**
     * @return string
     */
    public function getActorName(): string
    {
        return $this->actorName;
    }

    /**
     * @return DateTime
     */
    public function getOperationTimestamp(): DateTime
    {
        return $this->operationTimestamp;
    }
}